createMipsDataFrame {ScISI} | R Documentation

## A function that creates a data frame from the MIPS Data

### Description

This function takes two parameters: (1) a named vector that has a description of the MIPS protein complexes (this vector is one of the two outputs from `getMipsInfo` referenced by DESC); (2) the matrix representation of the bipartite graph. The output of the function is a dataframe with three columns: the names of the complexes in the matrix; the ID of the corresponding complex; the description of the corresponding complex.

### Usage

    createMipsDataFrame(desc, mips)

### Arguments

`desc` | A named character vector (where the name is the MIPS ID for each protein complex obtained by `getMipsInfo`) whose entries describe the corrsponding protein complex.
`mips` | The matrix representation of the protein complex membership graph for the MIPS protein complexes

### Value

The return value is a data frame with three coluumns: the names column records the names of the protein complexes as indexed in the incidence matrix; the ID column records the MIPS ID that corresponds to each protein complex; the Desc column describes each of the protein complexes.

### Author(s)

Tony Chiang

### References

mips.gsf.de

[Package ScISI version 1.16.0 Index]